---
name: Bug Report
about: Found a bug? Help us squash it.
title: ''
labels: bug
assignees: ''

---

**Describe the Bug**
A clear and concise description of what the bug is, including exceptions thrown.

Before submitting a bug report, ensure you have checked out the "Troubleshooting" page of the documentation
(see: https://pyngrok.readthedocs.io/en/latest/troubleshooting.html), especially the sections about log inspection.
Include the logs here if, after debugging your application, it still looks like a bug specific to `pyngrok`.

**Steps to Reproduce**
A snippet of the code used to reproduce the behavior.

If applicable, give the correlated `ngrok` command that _does_ works so we can compare it with what's not working. Also include your config file if it has been changed from the default (be sure to redact your auth token, if present).

**Expected Behavior**
A brief description of what you expected to happen.

**Environment**
- OS: \[e.g. OS X 10.14.5]
- Python Version: \[e.g. 3.7.2]
- `pyngrok` Version: \[e.g. 1.3.4]

**Additional Context**
Add any other context about the problem here.
